function [Ap_En, Samp_En, CoS_En] = features_entropy(ecg,mean_RR)

% Entropy constants - these are common values according to Lake & Moorman's 2011 COSEn paper
r = 0.2;
dim = 1;

Ap_En = ApEn(ecg',dim,r);
Samp_En = SampEn(ecg',dim,r);

if mean_RR ~= 0
    CoS_En = Samp_En - log(2*r) - log(mean_RR);
else
    CoS_En = Samp_En - log(2*r);
end

end