#! /bin/bash
#
# file: setup.sh
#
# This bash script performs any setup necessary in order to test your
# entry.  It is run only once, before running any other code belonging
# to your entry.

set -e
set -o pipefail

matlab -nodisplay -nosplash -r \
	"try cd libsvm; make; \
	catch e; display(getReport(e)); exit(1); end; quit"
